﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinToolbars;
using Infragistics.Win;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Add_a_ComboBox_Tool_with_a_ValueList()
        {
            ComboBoxTool comboboxtool = new ComboBoxTool("ToolbarStyleComboBoxTool");
            comboboxtool.DropDownStyle = DropDownStyle.DropDownList;

            // Creates a valuelist to be displayed in the ComboBox
            ValueList valuelist1 = new ValueList();

            // Creates items associated to the ValueList
            foreach(ToolbarStyle style in Enum.GetValues(typeof(ToolbarStyle)))
            {
                ValueListItem item = new ValueListItem(style);
                valuelist1.ValueListItems.Add(item);
            }

            // Sets the ValueList of the ComboBox to the new ValueList created
            comboboxtool.ValueList = valuelist1;

            // Add Tool to tools collection
            this.ultraToolbarsManager1.Tools.Add(comboboxtool);

            // Add the tool to the toolbar's tools collection
            this.ultraToolbarsManager1.Toolbars[0].Tools.Add(comboboxtool);

            // Assign the value to the root ComboBoxTool. This will trigger the ToolValueChanged event, and cause the Style of the UltraToolbarsManager to be set.
            comboboxtool.Value = ToolbarStyle.Office2013;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraToolbarsManager1.Office2007UICompatibility = false;

            // Create a toolbar.
            this.ultraToolbarsManager1.Toolbars.AddToolbar("Toolbar1");

            this.Add_a_ComboBox_Tool_with_a_ValueList();
        }

        private void ultraToolbarsManager1_ToolValueChanged(object sender, Infragistics.Win.UltraWinToolbars.ToolEventArgs e)
        {
            switch (e.Tool.Key)
            {
                case "ToolbarStyleComboBoxTool":
                    {
                        ComboBoxTool comboBoxTool = (ComboBoxTool)e.Tool;
                        this.ultraToolbarsManager1.Style = (ToolbarStyle)comboBoxTool.Value;
                    }
                    break;
            }
        }
    }
}
